PDA

View Full Version : GetProcessID Error



StephenKing
11-06-2007, 01:20 PM
I just received my Chessmaster 11 in the Mail. I installed it and downloaded the patch. When I tried to start it, I'm getting a message (Game.exe - Entry Point Not Found). The procedure entry point GetProcessId could not be located in the dynamic link library Kernel32.dll. Please help.. Thanks

Steve

andrewaclt
11-06-2007, 04:16 PM
I had this problem too, reinstalling fixed it right up.

StephenKing
11-06-2007, 05:14 PM
It still didn't work.. I uninstalled the whole program, then reinstalled it. Then the Auto Patch downloaded and I still get the message. Every time I try to start it, it tries to download the patch again...

Ionut11
11-07-2007, 02:14 AM
I think the problem comes from the fact that your kernel.dll has not this function. The documentation sais that this function requires Windows Vista or Windows XP SP1. Do you have XP + SP1 or a greater version?

andrewaclt
11-07-2007, 08:13 AM
This error also occurs on Windows under Parallels on mac.

StephenKing
11-07-2007, 08:31 AM
Originally posted by Ionut11:
I think the problem comes from the fact that your kernel.dll has not this function. The documentation sais that this function requires Windows Vista or Windows XP SP1. Do you have XP + SP1 or a greater version? How do I do what version I have?

KHollister
11-07-2007, 12:52 PM
Start Button -> Settings -> Control Panel. Click on the System icon. The first tab (labeled 'General') should tell you the operating system and latest service pack.

taraboste
11-09-2007, 02:03 AM
Hi StephenKing!

Do you found what XP/Vista version you have?
Did you succeeded to start the program? It's ok now? Let me know if you still have problem!
Thanks.

StephenKing
11-09-2007, 08:29 AM
Thanks For your help.. Yes I did fine out.. I have XP (SP2). I just to install the program again, and I still get the same message.. I just installed Chessmaster 10 again. I should of just waited for Fritz 11. I really did want to play the new Chessmaster..

lavault1969
11-18-2007, 05:17 PM
I have the same issue. After investigation, it seems that chessmaster requires xp sp2. Sp1 has not up to date kernel32.dll. It's a pain, they didn't mentionned it on the box. No way to patch only kernel32, install all sp2, or maybe someone has better solution...

KHollister
11-18-2007, 10:41 PM
Yes, the system requirements didn't mention needing SP2 on Windows XP. However, SP2 has been out for a long time, so I guess it was assumed...

Or are there people here who think Microsoft is "the man" trying to do them in, so they refuse to update unless absolutely necessary? http://forums.ubi.com/groupee_common/emoticons/icon_wink.gif

Ionut11
11-19-2007, 02:39 AM
Check this out!
http://msdn2.microsoft.com/en-us/library/ms683215.aspx